%define javahome %(echo ${JAVA_HOME:-/usr/lib/jvm/java})
%define javaver %(%{javahome}/bin/java -version 2>&1|awk '/java version/{print $3}')
%define javajvmcfg %(find %{javahome}/jre/lib -name jvm.cfg)
%define javalib %(dirname %{javajvmcfg})
%define javaext /usr/share/java

Summary: C-isam interface for Java
Name: bmsi-xopen
Version: 1.0.1
Release: 1%{dist}
License: Proprietary
Group: System Environment/Libraries
Source: %{name}-%{version}.tar.gz
BuildRoot: /var/tmp/%{name}-buildroot
Vendor: Stuart D. Gathman <stuart@bmsi.com>
Packager: Stuart D. Gathman <stuart@bmsi.com>
BuildRequires: btas-devel >= 2.10.6, libbms, jakarta-commons-collections
BuildRequires: junit, bmsi-util, java-devel
Requires: btas >= 2.10.6, bmsi-util
#Requires: jakarta-commons-collections	for Test only

%description
This package provides an interface to C-isam.

%prep
%setup -q

%build
umask 002
mkdir classes
javac -classpath /bms/java:/usr/share/java/junit.jar -d $PWD/classes *.java

CXXFLAGS="-O -pthread -I%{javahome}/include -I%{javahome}/include/linux \
	-I/bms/include -fPIC"
LIB="-pthread -L%{javalib} -L/bms/lib -ljava -lbtas -lstdc++"
make xopen.so CXXFLAGS="$CXXFLAGS" LIB="$LIB"

%clean
rm -rf $RPM_BUILD_ROOT

%install
rm -rf $RPM_BUILD_ROOT
#mkdir -p $RPM_BUILD_ROOT/bms/java
#cp -r classes/* $RPM_BUILD_ROOT/bms/java
mkdir -p $RPM_BUILD_ROOT%{javaext}
cd classes
zip -r $RPM_BUILD_ROOT%{javaext}/xopen.jar bmsi
cd -
mkdir -p $RPM_BUILD_ROOT/bms/lib/java
%ifos aix4.1
cp xopen.so $RPM_BUILD_ROOT%{javalib}/libxopen.a
%else
cp xopen.so $RPM_BUILD_ROOT/bms/lib/java/libxopen.so
%endif

%files
%defattr(-,bin,bin)
%{javaext}/*
/bms/lib/java/*

%post
ln -sf %{javaext}/xopen.jar %{javahome}/jre/lib/ext
ln -sf /bms/lib/java/libxopen.so %{javalib}

%changelog
* Fri Apr  7 2017 Stuart Gathman <stuart@gathman.org>	1.0.1-1
- remove JGL dependency
- compile on EL7

* Mon May 16 2011 Stuart Gathman <stuart@bmsi.com>	1.0-1
- Add BTFile
- Fix static getBtasinfo
- Add wrapmode to LineWriter

* Tue Jun 29 2010 Stuart Gathman <stuart@bmsi.com>	0.9-1
- Support btstat, btasinfo, cleanDirectory

* Mon Mar 29 2010 Stuart Gathman <stuart@bmsi.com>	0.8-1
- Support rename

* Fri Jan 23 2009 Stuart Gathman <stuart@bmsi.com>	0.7-2
- Reload isserve when btserve reloaded

* Sat Jan 28 2006 Stuart Gathman <stuart@bmsi.com>	0.7-1
- Fix ldstr/ststr sync bug
- add ldchars()

* Sat Jan 28 2006 Stuart Gathman <stuart@bmsi.com>	0.6-1
- Make LineWrite.writeLine() extendable.
- allow IOException from LineReader.reset()
- IsamFile.release()

* Tue May 18 2004 Stuart Gathman <stuart@bmsi.com>	0.5-1
- Fix JNI synchronization

* Thu Jan  8 2004 Stuart Gathman <stuart@bmsi.com>	0.4-1
- Fix getDictinfo bugs

* Fri Apr  4 2003 Stuart Gathman <stuart@bmsi.com>
- Recompile with btas-2.10.4

* Tue Mar 18 2003 Stuart Gathman <stuart@bmsi.com>
- RPM package
